import { CIConfig } from './config.model';
export declare class CIService {
    private platformId;
    config: any;
    isSsr: boolean;
    constructor(ciConfig: CIConfig, platformId: Object);
    getParentWidth(img: any, config: any): number;
    getParentContainerWithWidth(img: any): number;
    getSizeLimit(currentSize: any): number;
    checkOnMedia(size: any): boolean;
    checkIfRelativeUrlPath(src: any): boolean;
    getImgSrc(src: any, isRelativeUrlPath?: boolean, baseUrl?: string): string;
    getSizeAccordingToPixelRatio(size: any): string;
    generateUrl(operation: any, size: any, filters: any, imgSrc: any, config: any): string;
    generateSources(operation: any, size: any, filters: any, imgSrc: any, isAdaptive: any, config: any, isPreview: any): object[];
    getAdaptiveSize(size: any, config: any): object[];
    generateSrcset(operation: any, size: any, filters: any, imgSrc: any, config: any): string;
    generateImgSrc(operation: any, filters: any, imgSrc: any, imgWidth: any, imgHeight: any, factor: any, config: any): string;
    getRatioBySize(size: any, config: any): number | null;
    getBreakPoint(size: any): any;
    getWindowInnerWidth(): number;
    getComputedStyle(elem: any): any;
    getDevicePixelRatio(): number;
}
